Create CTO change request to TESA
Parameters
PATH PARAMETERS
Tenant
Request body
Optional{
"externalReference": "MYSIM_10750439",
"territoryOwner": "NEBA",
"iua": "135034050981",
"ctoIdentifier": "073687",
"ctoPort": "010",
"reason": "AV"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
externalReference* | string | pattern: \w{1,50} | ||
territoryOwner* | string
()
NEBAVULA_COMMERCIALVULA_REGULATED | Territory owner: * `NEBA` - Neba * `VULA_COMMERCIAL` - Vula commercial * `VULA_REGULATED` - Vula regulated | ||
iua* | string | pattern: \w{0,12} | ||
ctoIdentifier* | string | |||
ctoPort | string | |||
reason* | string
()
AVOT | Reason for the CTO change: * `AV` - Broken * `OT` - Others |
Responses
200 OK Success
OK Success
{
"message": "string",
"runId": "string",
"workflowId": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
runId | string | |||
workflowId | string |
400 Bad Request Bad request
Bad Request Bad request
{
"message": "Bad request"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
runId | string | |||
workflowId | string |
401 Unauthorized Unauthorized
Unauthorized Unauthorized
{
"message": "Unauthorized"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
runId | string | |||
workflowId | string |
404 Not Found Not found
Not Found Not found
{
"message": "Not found"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
runId | string | |||
workflowId | string |
406 Not acceptable
Not acceptable
{
"message": "Not acceptable"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
runId | string | |||
workflowId | string |
default Internal Server Error
Internal Server Error
{
"message": "Something was wrong :("
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
message | string | |||
runId | string | |||
workflowId | string |
Snippet
curl -X POST 'https://provision-master.private.dev.k8s.masmovil.com/v1/orgs/masmovil/tesamanager/maintenance/cto_change' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"externalReference": "MYSIM_10750439",
"territoryOwner": "NEBA",
"iua": "135034050981",
"ctoIdentifier": "073687",
"ctoPort": "010",
"reason": "AV"
}'